Loading...
Searching...
No Matches
LimitStencil Class Reference

Limit point stencil class wrapping the template for compatibility. More...

`#include <stencilTable.h>`

Inheritance diagram for LimitStencil:

## Public Member Functions

| LimitStencil (BaseStencil const &other)
| LimitStencil (int *size, Index *indices, float *weights, float *duWeights=0, float *dvWeights=0, float *duuWeights=0, float *duvWeights=0, float *dvvWeights=0)
Public Member Functions inherited from LimitStencilReal< float >
| LimitStencilReal (int *size, Index *indices, float *weights, float *duWeights=0, float *dvWeights=0, float *duuWeights=0, float *duvWeights=0, float *dvvWeights=0)
| Constructor.
float const * | GetDuWeights () const
| Returns the u derivative weights.
float const * | GetDvWeights () const
| Returns the v derivative weights.
float const * | GetDuuWeights () const
| Returns the uu derivative weights.
float const * | GetDuvWeights () const
| Returns the uv derivative weights.
float const * | GetDvvWeights () const
| Returns the vv derivative weights.
void | Next ()
| Advance to the next stencil in the table.
Public Member Functions inherited from StencilReal< float >
| StencilReal ()
| Default constructor.
| StencilReal (int *size, Index *indices, float *weights)
| Constructor.
| StencilReal (StencilReal const &other)
| Copy constructor.
int | GetSize () const
| Returns the size of the stencil.
int * | GetSizePtr () const
| Returns the size of the stencil as a pointer.
Index const * | GetVertexIndices () const
| Returns the control vertices' indices.
float const * | GetWeights () const
| Returns the interpolation weights.
void | Next ()
| Advance to the next stencil in the table.

## Protected Types

typedef LimitStencilReal< float > | BaseStencil

## Additional Inherited Members

Protected Attributes inherited from StencilReal< float >
int * | _size
Index * | _indices
float * | _weights

## Detailed Description

Limit point stencil class wrapping the template for compatibility.

Definition at line 392 of file stencilTable.h.

## Member Typedef Documentation

## BaseStencil

typedef LimitStencilReal<float> BaseStencil

protected

Definition at line 394 of file stencilTable.h.

## Constructor & Destructor Documentation

## LimitStencil() [1/2]

LimitStencil | ( | BaseStencil const & | other | ) |

inline

Definition at line 397 of file stencilTable.h.

## LimitStencil() [2/2]

LimitStencil | ( | int * | size,
|  | Index * | indices,
|  | float * | weights,
|  | float * | duWeights = 0,
|  | float * | dvWeights = 0,
|  | float * | duuWeights = 0,
|  | float * | duvWeights = 0,
|  | float * | dvvWeights = 0 )

inline

Definition at line 398 of file stencilTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/far/stencilTable.h